function love.load()
	screen = {
		width = 640,
		height = 480,
		fullscreen = false,
		vsync = false,
		fsaa = 0
	}
	math.randomseed(os.time())
	love.graphics.setBackgroundColor(255, 255, 255)
	splash_image = love.graphics.newImage("splash.png")
	love.graphics.setIcon(love.graphics.newImage("icon.png"))
	splashes = {}
	counter = 0
	pause = .5
	modifier = 1
end

function love.update(dt)
	dt = dt * modifier
	counter = counter + dt
	if counter > pause then
		counter = counter - pause
		newSplash()
		pause = math.random(1, 10) / 10
	end
	local i = 1
	for j=1, #splashes do
		splashes[i].scale = splashes[i].scale * ((dt * 2) + 1)
		if splashes[i].scale > 10 then
			table.remove(splashes, 1)
		else
			i = i + 1
		end
	end
end

function love.draw()
	local i = #splashes
	while i > 0 do
		love.graphics.setColor(splashes[i].color.r, splashes[i].color.g, splashes[i].color.b)
		love.graphics.draw(splash_image, splashes[i].position.x, splashes[i].position.y, 0, splashes[i].scale, splashes[i].scale, 256, 256)
		--love.graphics.print(splashes[i].scale, splashes[i].position.x, splashes[i].position.y)
		i = i -1
	end
	love.graphics.setColor(0, 0, 0, 64)
	love.graphics.print(love.timer.getFPS() .. "\n" .. string.sub(modifier, 1, 4) .. "x", 4, 4)
end

function love.keypressed(key, unicode)
	if key == " " then
		screen.fullscreen = not screen.fullscreen
		love.graphics.setMode(screen.width, screen.height, screen.fullscreen, screen.vsync, screen.fsaa)
	elseif key == "up" then
		modifier = modifier * 1.1
	elseif key == "down" then
		modifier = modifier * .9
	else
		love.event.push('q')
	end
end

function love.mousereleased(x, y, button)
	newSplash(x, y)
end

function newSplash(x, y)
	local values = {
		color = {
			r = math.random(1, 255),
			g = math.random(1, 255),
			b = math.random(1, 255)
		},
		position = {
			x = x or math.random(0, screen.width),
			y = y or math.random(0, screen.height)
		},
		scale = .01
	}
	splashes[#splashes + 1] = values
end